using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Threading.Tasks;

namespace PositioningWebApp.Security
{
	public class HashPassword
	{
		public string GetHash(string password)
		{
			string ret;
			using (SHA256 s = SHA256.Create())
			{
				byte[] sa = s.ComputeHash(System.Text.Encoding.Unicode.GetBytes(password));
				ret = Convert.ToBase64String(sa);
			}
			return ret;
		}
	}
}
